## GnomeDbTransastionStatus

GnomeDbTransastionStatus — Displays the transaction status of a connection

##

# Synopsis

    struct      GnomeDbTransactionStatus;
    struct      GnomeDbTransactionStatusClass;
    struct      GnomeDbTransactionStatusPriv;
    GtkWidget*  gnome_db_transaction_status_new (GdaConnection *cnc);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbTransactionStatus

## Implemented Interfaces

GnomeDbTransactionStatus implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "connection"           GdaConnection        : Read / Write

## Description

The GnomeDbTransactionStatus widget displays the contents of a GdaTransactionStatus object which represents the "transactional status" of a connection (it tells if a transaction has been started, if there are savepoints, etc).

This widget also allows the user to begin, commit or rollback transactions and to add, rollback or remove savepoints.

## Details

### struct GnomeDbTransactionStatus

    struct GnomeDbTransactionStatus;

### struct GnomeDbTransactionStatusClass

    struct GnomeDbTransactionStatusClass {

    	GtkVBoxClass                  parent_class;
    };

### struct GnomeDbTransactionStatusPriv

    struct GnomeDbTransactionStatusPriv;

### gnome_db_transaction_status_new ()

    GtkWidget*  gnome_db_transaction_status_new (GdaConnection *cnc);

Creates a new GnomeDbTransactionStatus widget showing the transaction status of `cnc`

`cnc` : | a GdaConnection object
Returns : | the new widget

## Properties

"`connection`" (GdaConnection : Read / Write) |